commit:     4b40b8b2be51f4b8bf43e2e5d506c169318c468f
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 14 02:50:58 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Dec 14 02:57:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b40b8b2

x11-base/xorg-server: Version bump to 21.1.5

Bug: https://bugs.gentoo.org/885825
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 x11-base/xorg-server/Manifest                  |   1 +
 x11-base/xorg-server/xorg-server-21.1.5.ebuild | 195 +++++++++++++++++++++++++
 2 files changed, 196 insertions(+)

diff --git a/x11-base/xorg-server/Manifest b/x11-base/xorg-server/Manifest
index 253c3b834577..cdc6231696b4 100644
--- a/x11-base/xorg-server/Manifest
+++ b/x11-base/xorg-server/Manifest
@@ -1 +1,2 @@
 DIST xorg-server-21.1.4.tar.xz 4940176 BLAKE2B 
8f68c7de102f7f8d0f56566a518025bb32c079184d5a5556dc8e651111b6a018669102b18ec2e9470d3ab91f51291618f9c49281915d885fc30446e1b54d2134
 SHA512 
eb5b8520d02908f72719e6ecfbf7a9bf139acb65ccae04d1db4223a8a2384cd3a94bd5afef10cce327b751b800cc2b79bfaa5ae35c95c3a217f775168082e68f
+DIST xorg-server-21.1.5.tar.xz 4929120 BLAKE2B 
40f31250101293fa048c3c32278caaf0350fcf0b153a295d7574a6698893fa3c2d14078714a3c6ee7755b66c1f0ccf80b8faacb27aa5d7c279bc09fa6285ffd5
 SHA512 
a39c6ba36f94241d330b679a9a6fe2c5fda73fc3f5a9308a7a9cfd0d58503e407291759c9e553455c07cf5a3862952ae3904334eeca29c97ff5af7cffd2e6953

diff --git a/x11-base/xorg-server/xorg-server-21.1.5.ebuild 
b/x11-base/xorg-server/xorg-server-21.1.5.ebuild
new file mode 100644
index 000000000000..85f83743b7ff
--- /dev/null
+++ b/x11-base/xorg-server/xorg-server-21.1.5.ebuild
@@ -0,0 +1,195 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+XORG_TARBALL_SUFFIX="xz"
+XORG_EAUTORECONF="no"
+inherit flag-o-matic xorg-3 meson
+EGIT_REPO_URI="https://gitlab.freedesktop.org/xorg/xserver.git";
+
+DESCRIPTION="X.Org X servers"
+SLOT="0/${PV}"
+if [[ ${PV} != 9999* ]]; then
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+IUSE_SERVERS="xephyr xnest xorg xvfb"
+IUSE="${IUSE_SERVERS} debug +elogind minimal selinux suid systemd test +udev 
unwind xcsecurity"
+RESTRICT="!test? ( test )"
+
+CDEPEND="
+       media-libs/libglvnd[X]
+       dev-libs/libbsd
+       dev-libs/openssl:0=
+       >=x11-apps/iceauth-1.0.2
+       >=x11-apps/rgb-1.0.3
+       >=x11-apps/xauth-1.0.3
+       x11-apps/xkbcomp
+       >=x11-libs/libdrm-2.4.89
+       >=x11-libs/libpciaccess-0.12.901
+       >=x11-libs/libXau-1.0.4
+       >=x11-libs/libXdmcp-1.0.2
+       >=x11-libs/libXfont2-2.0.1
+       >=x11-libs/libxkbfile-1.0.4
+       >=x11-libs/libxshmfence-1.1
+       >=x11-libs/pixman-0.27.2
+       >=x11-misc/xbitmaps-1.0.1
+       >=x11-misc/xkeyboard-config-2.4.1-r3
+       xorg? (
+               >=x11-libs/libxcvt-0.1.0
+       )
+       xnest? (
+               >=x11-libs/libXext-1.0.99.4
+               >=x11-libs/libX11-1.1.5
+       )
+       xephyr? (
+               x11-libs/libxcb
+               x11-libs/xcb-util
+               x11-libs/xcb-util-image
+               x11-libs/xcb-util-keysyms
+               x11-libs/xcb-util-renderutil
+               x11-libs/xcb-util-wm
+       )
+       !minimal? (
+               >=media-libs/mesa-18[X(+),egl(+),gbm(+)]
+               >=media-libs/libepoxy-1.5.4[X,egl(+)]
+       )
+       udev? ( virtual/libudev:= )
+       unwind? ( sys-libs/libunwind:= )
+       selinux? (
+               sys-process/audit
+               sys-libs/libselinux:=
+       )
+       systemd? (
+               sys-apps/dbus
+               sys-apps/systemd
+       )
+       elogind? (
+               sys-apps/dbus
+               sys-auth/elogind[pam]
+               sys-auth/pambase[elogind]
+       )
+       !!x11-drivers/nvidia-drivers[-libglvnd(+)]
+"
+DEPEND="${CDEPEND}
+       >=x11-base/xorg-proto-2021.4.99.2
+       >=x11-libs/xtrans-1.3.5
+       media-fonts/font-util
+       test? ( >=x11-libs/libxcvt-0.1.0 )
+"
+RDEPEND="${CDEPEND}
+       !systemd? ( gui-libs/display-manager-init )
+       selinux? ( sec-policy/selinux-xserver )
+       xorg? ( >=x11-apps/xinit-1.3.3-r1 )
+"
+BDEPEND="
+       sys-devel/flex
+"
+PDEPEND="
+       xorg? ( >=x11-base/xorg-drivers-$(ver_cut 1-2) )"
+
+REQUIRED_USE="!minimal? (
+               || ( ${IUSE_SERVERS} )
+       )
+       elogind? ( udev )
+       ?? ( elogind systemd )"
+
+UPSTREAMED_PATCHES=(
+       # https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/953
+       "${FILESDIR}"/${PN}-21.1.4-BadIDChoice.patch
+)
+
+PATCHES=(
+       "${UPSTREAMED_PATCHES[@]}"
+       "${FILESDIR}"/${PN}-1.12-unloadsubmodule.patch
+       # needed for new eselect-opengl, bug #541232
+       "${FILESDIR}"/${PN}-1.18-support-multiple-Files-sections.patch
+)
+
+src_configure() {
+       # bug #835653
+       use x86 && replace-flags -Os -O2
+
+       # localstatedir is used for the log location; we need to override the 
default
+       #       from ebuild.sh
+       # sysconfdir is used for the xorg.conf location; same applies
+       local emesonargs=(
+               --localstatedir "${EPREFIX}/var"
+               --sysconfdir "${EPREFIX}/etc/X11"
+               --buildtype $(usex debug debug plain)
+               -Db_ndebug=$(usex debug false true)
+               $(meson_use !minimal dri1)
+               $(meson_use !minimal dri2)
+               $(meson_use !minimal dri3)
+               $(meson_use !minimal glamor)
+               $(meson_use !minimal glx)
+               $(meson_use udev)
+               $(meson_use udev udev_kms)
+               $(meson_use unwind libunwind)
+               $(meson_use xcsecurity)
+               $(meson_use selinux xselinux)
+               $(meson_use xephyr)
+               $(meson_use xnest)
+               $(meson_use xorg)
+               $(meson_use xvfb)
+               -Ddocs=false
+               -Ddrm=true
+               -Ddtrace=false
+               -Dipv6=true
+               -Dhal=false
+               -Dlinux_acpi=false
+               -Dlinux_apm=false
+               -Dsecure-rpc=false
+               -Dsha1=libcrypto
+               -Dxkb_output_dir="${EPREFIX}/var/lib/xkb"
+       )
+
+       if [[ ${PV} == 9999 ]] ; then
+               # Gone in 21.1.x, but not in master.
+               emesonargs+=( -Dxwayland=false )
+       fi
+
+       if use systemd || use elogind; then
+               emesonargs+=(
+                       -Dsystemd_logind=true
+                       $(meson_use suid suid_wrapper)
+               )
+       else
+               emesonargs+=(
+                       -Dsystemd_logind=false
+                       -Dsuid_wrapper=false
+               )
+       fi
+
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+
+       # The meson build system does not support install-setuid
+       if ! use systemd && ! use elogind; then
+               if use suid; then
+                       chmod u+s "${ED}"/usr/bin/Xorg
+               fi
+       fi
+
+       if ! use xorg; then
+               rm -f "${ED}"/usr/share/man/man1/Xserver.1x \
+                       "${ED}"/usr/$(get_libdir)/xserver/SecurityPolicy \
+                       "${ED}"/usr/$(get_libdir)/pkgconfig/xorg-server.pc \
+                       "${ED}"/usr/share/man/man1/Xserver.1x || die
+       fi
+
+       # install the @x11-module-rebuild set for Portage
+       insinto /usr/share/portage/config/sets
+       newins "${FILESDIR}"/xorg-sets.conf xorg.conf
+}
+
+pkg_postrm() {
+       # Get rid of module dir to ensure opengl-update works properly
+       if [[ -z ${REPLACED_BY_VERSION} && -e 
${EROOT}/usr/$(get_libdir)/xorg/modules ]]; then
+               rm -rf "${EROOT}"/usr/$(get_libdir)/xorg/modules
+       fi
+}

Reply via email to